Agent Microsoft 365 Publishing
Get Microsoft 365 publish defaults
Returns default and previously-published values used to pre-populate a Microsoft 365 publish request for a Foundry agent.
Path parameters
agent_name
string
required
The name of the agent to get publish defaults for.
Query parameters
publishAsDigitalWorker
boolean
When true, returns defaults for publishing the agent as an autopilot (digital worker) agent.
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
appPublishScope
string | enum
The publish scope for the generated Microsoft Teams app.
enum
agentName
string
The agent name.
agentDisplayName
string
The user-facing display name for the agent. Defaults to the agent name if not previously overridden.
appRegistrationClientId
string
The app-registration client id associated with the agent.
botServiceArmId
string
ARM resource id of the Azure Bot Service associated with the previously-published app, if any.
appVersion
string
The most recently published app version.
recommendedNextAppVersion
string
The recommended next app version (the most recent app version, incremented).
titleId
string
The Microsoft 365 title id of the previously-published app, if any.
teamsAppId
string
The Microsoft Teams app id of the previously-published app, if any.
shortDescription
string
Short, one-line description shown in the Teams app listing.
fullDescription
string
Full description shown on the Teams app details page.
developerName
string
Display name of the developer / publisher.
developerWebsiteUrl
string
Developer / publisher website URL.
privacyUrl
string
Privacy policy URL.
termsOfUseUrl
string
Terms-of-use URL.
Request
GET /agents/{agent_name}/microsoft365/publishdefaults HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json